Functions | Variables

# depot_sl.cpp File Reference

Code handling saving and loading of depots. More...

`#include "../stdafx.h"`
`#include "../depot_base.h"`
`#include "../town.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
static void | Save_DEPT ()
static void | Load_DEPT ()
static void | Ptrs_DEPT ()
## Variables
static TownID | _town_index
static const SaveLoad | _depot_desc []
const ChunkHandler | _depot_chunk_handlers []

## Detailed Description

Code handling saving and loading of depots.

Definition in file depot_sl.cpp.

## Variable Documentation

const ChunkHandler _depot_chunk_handlers[]

Initial value:

     {
      { 'DEPT', Save_DEPT, Load_DEPT, Ptrs_DEPT, NULL, CH_ARRAY | CH_LAST},
    }

const SaveLoad _depot_desc[]`[static]`

Initial value:

     {
       SLE_CONDVAR(Depot, xy,         SLE_FILE_U16 | SLE_VAR_U32, 0, 5),
       SLE_CONDVAR(Depot, xy,         SLE_UINT32,                 6, SL_MAX_VERSION),
      SLEG_CONDVAR(_town_index,       SLE_UINT16,                 0, 140),
       SLE_CONDREF(Depot, town,       REF_TOWN,                 141, SL_MAX_VERSION),
       SLE_CONDVAR(Depot, town_cn,    SLE_UINT16,               141, SL_MAX_VERSION),
       SLE_CONDSTR(Depot, name,       SLE_STR, 0,               141, SL_MAX_VERSION),
       SLE_CONDVAR(Depot, build_date, SLE_INT32,                142, SL_MAX_VERSION),

    }

Definition at line 20 of file depot_sl.cpp.